Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040469
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementminorN/A2019-03-27 16:532020-01-29 06:29
ReportervmromanosView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision86ca5f1688dd
ProjectionnoneETAnoneTarget Version3.0PR19Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040469: CreateFrom cleanup

DescriptionCreateFrom is a container for different old popups.
In Create Lines From Invoice we already deleted the old stuff, however there are still legacy components that should be removed.

After a quick look, it seems everything but the M_Inout related functionality could be removed.
Steps To ReproduceOpen org.openbravo.erpCommon.ad_actionButton.CreateFrom
See the class is too long and complex. Most of the stuff there belongs to old flows not used anymore. Only stuff related to Shipments/Receipts (M_Inout) seems to be still useful.
Proposed SolutionDelete old code from this class that is not needed anymore.
Delete dependent code that is not needed neither, like HTML, XML or XSQL files.
Make sure the deleted public API is not consumed in external modules. In case of doubts, do not delete it.
Manage the expected API change.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111732)
hgbot (developer)
2019-05-16 20:41

Repository: erp/devel/pi
Changeset: 86ca5f1688dddb9527ededd4ef634ecb55b72c00
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Apr 30 14:51:23 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/86ca5f1688dddb9527ededd4ef634ecb55b72c00 [^]

Fixes Issue 40469:CreateFrom cleanup

** Remove printPageBank, CreateFrom_Bank.html, xml, xsql.
** Remove printPagePay.
** Remove printPageSettlement, CreateFrom_Settlement.html, xml, xsql.
** Remove printPageDPManagement, CreateFrom_DPManagement.html, xml, xsql.
** Remove printPageCRemittance, CreateFrom_CRemittance.html, xml, xsql.
** Remove unused ad_message, ad_textinterfaces for above html files.

---
M modules/org.openbravo.financial.paymentreport/src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
R src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Bank.html
R src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Bank.xml
R src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Bank_data.xsql
R src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_CRemittance.html
R src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_CRemittance.xml
R src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_CRemittance_data.xsql
R src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_DPManagement.html
R src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_DPManagement.xml
R src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_DPManagement_data.xsql
R src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Settlement.html
R src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Settlement.xml
R src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Settlement_data.xsql
---
(0111755)
vmromanos (developer)
2019-05-17 08:17

Code review + testing (Create From Goods Shipment/Receipt) OK
(0112039)
hudsonbot (developer)
2019-05-21 15:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-03-27 16:53 vmromanos New Issue
2019-03-27 16:53 vmromanos Assigned To => Triage Finance
2019-03-27 16:53 vmromanos Modules => Core
2019-03-27 16:53 vmromanos Triggers an Emergency Pack => No
2019-03-27 17:14 vmromanos Type defect => feature request
2019-04-03 21:27 AtulOpenbravo Status new => scheduled
2019-04-04 13:57 vmromanos Assigned To Triage Finance => AtulOpenbravo
2019-05-16 12:43 vmromanos Review Assigned To => vmromanos
2019-05-16 20:41 hgbot Checkin
2019-05-16 20:41 hgbot Note Added: 0111732
2019-05-16 20:41 hgbot Status scheduled => resolved
2019-05-16 20:41 hgbot Resolution open => fixed
2019-05-16 20:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/86ca5f1688dddb9527ededd4ef634ecb55b72c00 [^]
2019-05-17 08:17 vmromanos Note Added: 0111755
2019-05-17 08:17 vmromanos Status resolved => closed
2019-05-17 08:17 vmromanos Fixed in Version => 3.0PR19Q3
2019-05-21 15:17 hudsonbot Checkin
2019-05-21 15:17 hudsonbot Note Added: 0112039
2020-01-29 06:29 AtulOpenbravo Issue cloned 0043041


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker